### Method

# Gtk SpinButtonset_numeric

#### Declaration [src]

    void
    gtk_spin_button_set_numeric (
      GtkSpinButton* spin_button,
      gboolean numeric
    )

#### Description [src]

Sets the flag that determines if non-numeric text can be typed into the spin button.

Sets property | `Gtk.SpinButton:numeric`

#### Parameters

`numeric`

  Type: `gboolean`

  Flag indicating if only numeric entry is allowed.